Std Edit/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(17 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
|[[Std_Alignment|Alignment]]
|[[Std_UserEditMode|UserEditMode]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_Alignment.svg
|IconR=Std_UserEditMode.svg
|IconC=Freecad.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Std Edit|MenuLocation=[[Std_Edit_Menu|Edit]] → Toggle Editmode|Workbenches=All|SeeAlso=...}}
{{GuiCommand|Name=Std Edit|MenuLocation=[[Std_Edit_Menu|Edit]] → Toggle Editmode|Workbenches=All|SeeAlso=...}}
</div>


<div class="mw-translate-fuzzy">
==== Rezumat ====
==== Rezumat ====
</div>


<div class="mw-translate-fuzzy">
Această comandă permite intrarea sau ieșirea din modul de editare al unui obiect selectat. Un obiect
Această comandă permite intrarea sau ieșirea din modul de editare al unui obiect selectat. Un obiect
trebuie să fie selectată (apoi intră în modul de editare) sau în modul de editare (apoi iese din modul de editare)
trebuie să fie selectată (apoi intră în modul de editare) sau în modul de editare (apoi iese din modul de editare)
pentru ca această comandă să funcționeze.
pentru ca această comandă să funcționeze.
</div>


==Usage==
Comportamentul care apare la introducerea modului de editare depinde de tipul obiectului. Unele tipuri de obiecte nu definesc nici un comportament al modului de editare, în acest caz comportamentul standard (un widget de transformare) este folosit.


# If no object is in edit mode: select a single object.
De asemenea, puteți efectua aceeași acțiune făcând dublu clic pe un obiect în Vizualizarea arborescentă.
# Select the {{MenuCommand|Edit → [[Image:Std_Edit.svg|16px]] Toggle Edit mode}} option from the menu.
=== Utilizare ===
# Either the default edit mode of the selected object is activated or the existing edit mode deactivated.


==Notes==
* Selectați un obiect în arborescența de documente.
* Deschideți meniul ''' Edit '''apăsând pe {{KEY/it|[[File:Std_Edit.png|16px]] Attiva/disattiva modalità modifica}}.


* Some tools will be disabled (greyed-out) in the user interface while an object's edit mode is active.
sau
* Not all object types have an edit mode.
* The functionality available in edit mode depends on the object type.
* An object's edit mode can also be activated by double-clicking it in the [[Tree_view|Tree view]]. In that case the edit mode that is used can be defined with the [[Std_UserEditMode|Std UserEditMode]] command.


<div class="mw-translate-fuzzy">
* În arborescență, faceți dublu clic pe obiectul de editat.
=== Script ===
</div>


{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
sau


<div class="mw-translate-fuzzy">
* Selectați obiectul din arborescență cu butonul drept al mouse-ului și apoi faceți clic pe {{KEY|Edit}} sau {{KEY|Transform}}, în funcție de elementul pe care apare.
Aceasta intră în modul de editare al unui obiect determinat:
</div>


{{Code|code=
Pentru a modifica forma unor tipuri de obiecte, aveți nevoie de [[Property editor|Edit]] [[Property|Properties]].
import FreeCADGui


FreeCADGui.ActiveDocument.setEdit("myObjectName",0)
Pentru mai multe informații despre editarea obiectelor, consultați și descrierea [[Manipulator|Manipulators]].
}}


The second argument is the EditMode. The following options are available:
=== Script ===


0 = Default
Aceasta intră în modul de editare al unui obiect determinat:
1 = Transform

2 = Cutting
FreeCADGui.ActiveDocument.setEdit("myObjectName",0)
3 = Color


<div class="mw-translate-fuzzy">
Aceasta închide modul de editare:
Aceasta închide modul de editare:
</div>

{{Code|code=
import FreeCADGui

FreeCADGui.ActiveDocument.resetEdit()
}}


FreeCADGui.ActiveDocument.resetEdit()


{{Docnav
|[[Std_Alignment|Alignment]]
|[[Std_UserEditMode|UserEditMode]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_Alignment.svg
|IconR=Std_UserEditMode.svg
|IconC=Freecad.svg
}}


{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 18:08, 11 October 2021

Std Edit

Menu location
Edit → Toggle Editmode
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
...

Rezumat

Această comandă permite intrarea sau ieșirea din modul de editare al unui obiect selectat. Un obiect trebuie să fie selectată (apoi intră în modul de editare) sau în modul de editare (apoi iese din modul de editare) pentru ca această comandă să funcționeze.

Usage

  1. If no object is in edit mode: select a single object.
  2. Select the Edit → Toggle Edit mode option from the menu.
  3. Either the default edit mode of the selected object is activated or the existing edit mode deactivated.

Notes

  • Some tools will be disabled (greyed-out) in the user interface while an object's edit mode is active.
  • Not all object types have an edit mode.
  • The functionality available in edit mode depends on the object type.
  • An object's edit mode can also be activated by double-clicking it in the Tree view. In that case the edit mode that is used can be defined with the Std UserEditMode command.

Script

See also: FreeCAD Scripting Basics.

Aceasta intră în modul de editare al unui obiect determinat:

import FreeCADGui

FreeCADGui.ActiveDocument.setEdit("myObjectName",0)

The second argument is the EditMode. The following options are available:

0 = Default
1 = Transform
2 = Cutting
3 = Color

Aceasta închide modul de editare:

import FreeCADGui

FreeCADGui.ActiveDocument.resetEdit()